﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using VeryPDF;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            {
                System.Type VeryPDFType = System.Type.GetTypeFromProgID("VeryPDF.BarcodeCom");
                VeryPDF.BarcodeCom VeryPDFCom = (VeryPDF.BarcodeCom)System.Activator.CreateInstance(VeryPDFType);

                string appFolder = Path.GetDirectoryName(Application.ExecutablePath);
                string strFolder = appFolder;

                string strReturn = "";
                int nFileIndex = 0;
                VeryPDFCom.EnableDebugLog(true);

                string strBarcode = "CODE39";
                string strOutFile = strFolder + "\\_type2_code39.pdf";
                string strCmd = "-$ XXXXXXXXXXXXXXXXXX -type2 code39 -textxalign center -textyoffset 20 -textcolor FF0000 -paper 1000x1000 \"" + strBarcode + "\" \"" + strOutFile + "\"";
                strReturn += VeryPDFCom.GenerateBarcode(strCmd);
                nFileIndex = nFileIndex + 1;

                strBarcode = "CODE39";
                strOutFile = strFolder + "\\_type2_code39.png";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -type2 code39 -textxalign center -textyoffset 20 -textcolor FF0000 -paper 1000x1000 \"" + strBarcode + "\" \"" + strOutFile + "\"";
                strReturn += VeryPDFCom.GenerateBarcode(strCmd);
                nFileIndex = nFileIndex + 1;

                string strBarcodeFile = strFolder + "\\barcode.png";
                strCmd = "-$ XXXXXXXXXXXXXXXXXX -decode \"" + strBarcodeFile + "\"";
                strReturn += VeryPDFCom.GenerateBarcode(strCmd);
                nFileIndex = nFileIndex + 1;

                MessageBox.Show(strReturn);
            }
        }
    }
}
